Irrlicht Engine: irr::scene::IAnimatedMeshMD2 Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IAnimatedMeshMD2 Class Reference

Interface for using some special functions of MD2 meshes. More...

`#include <IAnimatedMeshMD2.h>`

Inheritance diagram for irr::scene::IAnimatedMeshMD2:

List of all members.

## Public Member Functions
virtual s32 | getAnimationCount () const =0
| Get amount of md2 animations in this file.
virtual const c8 * | getAnimationName (s32 nr) const =0
| Get name of md2 animation.
virtual bool | getFrameLoop (const c8 *name, s32 &outBegin, s32 &outEnd, s32 &outFPS) const =0
| Get frame loop data for a special MD2 animation type, identified by name.
virtual void | getFrameLoop (EMD2_ANIMATION_TYPE l, s32 &outBegin, s32 &outEnd, s32 &outFPS) const =0
| Get frame loop data for a default MD2 animation type.

## Detailed Description

Interface for using some special functions of MD2 meshes.

Definition at line 41 of file IAnimatedMeshMD2.h.

## Member Function Documentation

virtual s32 irr::scene::IAnimatedMeshMD2::getAnimationCount | ( |  | ) | const`[pure virtual]`

Get amount of md2 animations in this file.

virtual const c8* irr::scene::IAnimatedMeshMD2::getAnimationName | ( | s32 | nr | ) | const`[pure virtual]`

Get name of md2 animation.

Parameters:

  | nr,: | Zero based index of animation.

virtual bool irr::scene::IAnimatedMeshMD2::getFrameLoop | ( | const c8 * | name,
|  | s32 & | outBegin,
|  | s32 & | outEnd,
|  | s32 & | outFPS |
| ) |  |  | const`[pure virtual]`

Get frame loop data for a special MD2 animation type, identified by name.

Parameters:

  | name | Name of the animation.
  | outBegin | The returned beginning frame for animation type specified.
  | outEnd | The returned ending frame for the animation type specified.
  | outFPS | The number of frames per second, this animation should be played at.

Returns:
  beginframe, endframe and frames per second for a special MD2 animation type.

virtual void irr::scene::IAnimatedMeshMD2::getFrameLoop | ( | EMD2_ANIMATION_TYPE | l,
|  | s32 & | outBegin,
|  | s32 & | outEnd,
|  | s32 & | outFPS |
| ) |  |  | const`[pure virtual]`

Get frame loop data for a default MD2 animation type.

Parameters:

  | l | The EMD2_ANIMATION_TYPE to get the frames for.
  | outBegin | The returned beginning frame for animation type specified.
  | outEnd | The returned ending frame for the animation type specified.
  | outFPS | The number of frames per second, this animation should be played at.

Returns:
  beginframe, endframe and frames per second for a default MD2 animation type.

The documentation for this class was generated from the following file:

- IAnimatedMeshMD2.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)